Subject: Re: [PATCH] git-send-email.perl: expand filename of aliasesfile

From: Cord Seele <[email-masked]>
Date: Wed, 28 Sep 2011 16:40:57 +0200

On Wed 28 Sep 2011 15:42:01 +0200, Matthieu Moy <[email-masked]> wrote:

> Cord Seele <[email-masked]> writes:
> 
> > -		open my $fh, '<', $file or die "opening $file: $!\n";
> > +		open my $fh, '<', glob($file) or die "opening $file: $!\n";
> 
> That'd be cleaner to use
> 
> git config --path sendemail.aliasesfile
> 
> to let Git do the right expansion, in a way consistant with other places
> of Git.

This means to expand it at 'git config' time? Wouldn't it be nicer to
have it expanded when you run 'git send-email'? Then you could move your
~/.gitconfig (that's where I have my aliasesfile configured) between different
accounts and it could still work.

-- Cord